Bug 1200452 - feature request: provide information about metered connections
Summary: feature request: provide information about metered connections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 15:20 UTC by Matthias Clasen
Modified: 2015-11-19 11:00 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.0.6-1.el7
Doc Type: Bug Fix
Doc Text:
NetworkManager now indicates if a connection is metered.
Clone Of:
Environment:
Last Closed: 2015-11-19 11:00:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 741725 None None None Never
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Matthias Clasen 2015-03-10 15:20:03 UTC
PackageKit currently uses (homegrown) heuristics to avoid downloading large amounts of updates when the connection looks like it might be 'expensive'.
It would be nice if NetworkManager made this information available in a systematic (and probably more reliable) way.

See https://bugzilla.gnome.org/show_bug.cgi?id=741725

Comment 2 Beniamino Galvani 2015-06-09 20:37:17 UTC
Upstream commit 7d09debdf0b1bd6d76a645d5195e89e3ad16892f

Comment 4 Vladimir Benes 2015-09-04 11:43:17 UTC
Feature was verified on all supported architectures. Manual yes/no and guess yes/no with ANDROID_METERED flag is now visible to 3rd party apps via dbus.

Comment 5 errata-xmlrpc 2015-11-19 11:00:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.